/*
*  @description: 采购计划公共字典
  @Modifier: 苏志刚
  @routerPath:
  @date: 2020/6/28 10:30
  * */
/* api*/
import { queryPurchasePlanInitInfo } from '@/api/procurement/purchasplan'// 采购计划公共字典
export const procuremEntensureManageGroupMixins = {
  data() {
    return {
      // 采购人类型
      purchaserTypeList: [
        { typename: '采购执行人', typecode: '00' },
        { typename: '采购员', typecode: '01' }
      ],
      /* ========================基本信息部分========================*/
      //  采购类型
      plan_purchase_typeList: [],
      // 采购组织形式
      plan_purchase_organizationList: [],
      // 采购方式
      tender_methodList: [],
      // 采购计划状态 已关联未关联
      plan_data_statusList: [],
      // 采购计划来源
      plan_source_typeList: [],
      // 公开邀请
      tenderTypeList: [],
      // 采购计划状态 已保存已生效
      planUseStatusList: []
    }
  },
  created() {
  },
  mounted() {

  },
  methods: {
    // 字典信息-项目类型
    initWebTypeGroup() {
      queryPurchasePlanInitInfo().then(res => {
        // 遍历key存储相应的数据
        for (const key in res.data) {
          this[key + 'List'] = res.data[key].typeList
        }
      })
    }
  }
}
